xml-commons-resolver API: Class CatalogException

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver
Class CatalogException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.xml.resolver.CatalogException

All Implemented Interfaces:
  java.io.Serializable

public class CatalogException
extends java.lang.Exception

Signal Catalog exception.

This exception is thrown if an error occurs loading a catalog file.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `Catalog`, Serialized Form

Field Summary
`static int` | `INVALID_ENTRY` An invalid entry
`static int` | `INVALID_ENTRY_TYPE` An invalid entry type
`static int` | `NO_XML_PARSER` Could not instantiate an XML parser
`static int` | `PARSE_FAILED` XML but parse failed
`static int` | `UNENDED_COMMENT` Text catalog ended in mid-comment
`static int` | `UNKNOWN_FORMAT` Unknown XML format
`static int` | `UNPARSEABLE` Unparseable XML catalog (not XML)
`static int` | `WRAPPER` A wrapper around another exception

Constructor Summary
`CatalogException(java.lang.Exception e)` Create a new CatalogException wrapping an existing exception.
`CatalogException(int type)` Create a new CatalogException.
`CatalogException(int type, java.lang.String message)` Create a new CatalogException.
`CatalogException(java.lang.String message, java.lang.Exception e)` Create a new CatalogException from an existing exception.

Method Summary
`java.lang.Exception` | `getException()` Return the embedded exception, if any.
`int` | `getExceptionType()` Return the exception type
`java.lang.String` | `getMessage()` Return a detail message for this exception.
`java.lang.String` | `toString()` Override toString to pick up any embedded exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WRAPPER

    public static final int WRAPPER

  A wrapper around another exception

### INVALID_ENTRY

    public static final int INVALID_ENTRY

  An invalid entry

### INVALID_ENTRY_TYPE

    public static final int INVALID_ENTRY_TYPE

  An invalid entry type

### NO_XML_PARSER

    public static final int NO_XML_PARSER

  Could not instantiate an XML parser

### UNKNOWN_FORMAT

    public static final int UNKNOWN_FORMAT

  Unknown XML format

### UNPARSEABLE

    public static final int UNPARSEABLE

  Unparseable XML catalog (not XML)

### PARSE_FAILED

    public static final int PARSE_FAILED

  XML but parse failed

### UNENDED_COMMENT

    public static final int UNENDED_COMMENT

  Text catalog ended in mid-comment

Constructor Detail

### CatalogException

    public CatalogException(int type,
                            java.lang.String message)

  Create a new CatalogException.
  Parameters:
    `type` - The exception type
    `message` - The error or warning message.

### CatalogException

    public CatalogException(int type)

  Create a new CatalogException.
  Parameters:
    `type` - The exception type

### CatalogException

    public CatalogException(java.lang.Exception e)

  Create a new CatalogException wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the CatalogException.

  Parameters:
    `e` - The exception to be wrapped in a CatalogException.

### CatalogException

    public CatalogException(java.lang.String message,
                            java.lang.Exception e)

  Create a new CatalogException from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The exception to be wrapped in a CatalogException.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return a detail message for this exception.

  If there is an embedded exception, and if the CatalogException has no detail message of its own, this method will return the detail message from the embedded exception.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The error or warning message.

### getException

    public java.lang.Exception getException()

  Return the embedded exception, if any.
  Returns:
    The embedded exception, or null if there is none.

### getExceptionType

    public int getExceptionType()

  Return the exception type
  Returns:
    The exception type

### toString

    public java.lang.String toString()

  Override toString to pick up any embedded exception.
  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    A string representation of this exception.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.